/**
 * @file CheckProduct.cpp
 * @date 2010/03/07 新規作成
 * @author
 *
 * デバイス種別判断クラス
 */
#include <string>
#include "Define.h"
#include "CheckProduct.h"

/**
 * デフォルトコンストラクタ
 */
CheckProduct::CheckProduct(){
}

/**
 * デバイス種別判断
 * @return デバイス種別
 */
ProductValue CheckProduct::check(std::string product_string){
	if( product_string.compare("SL-C3200") == 0 ){
		return SL_C3200;
	}else if( product_string.compare("SL-C3100") == 0 ){
		return SL_C3100;
	}else if( product_string.compare("SL-C3000") == 0 ){
		return SL_C3000;
	}else if( product_string.compare("SL-C1000") == 0 ){
		return SL_C1000;
	}else if( product_string.compare("SL-C860") == 0 ){
		return SL_C860;
	}else if( product_string.compare("SL-C760") == 0 ){
		return SL_C760;
	}else if( product_string.compare("SL-C750") == 0 ){
		return SL_C750;
	}else if( product_string.compare("SL-C700") == 0 ){
		return SL_C700;
	}
	return SL_NONE;
}

