/**
 * @file ControlThread.h
 * @date 2010/02/20 新規作成
 * @author
 *
 * Thread制御クラス
 */
#ifndef _CONTROL_THREAD_H_
#define _CONTROL_THREAD_H_

#include <pthread.h>

class ControlThread{
public :
	/*! デフォルトコンストラクタ */
	ControlThread();
	ReturnValue	begin(void *(*routine)(void *), void *argument);
#ifdef TEST
	int				waitForCompletion();
#endif
private :
	pthread_t	m_ThreadID;
	void 		*(*m_StartRoutine)(void *);
};
#endif /* _CONTROL_THREAD_H_ */
